    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.TextField

    java.lang.Object
       |
       +----java.awt.Component
               |
               +----java.awt.TextComponent
                       |
                       +----java.awt.TextField

public class TextField
extends TextComponent

A `TextField` object is a text component that allows for the editing of a single line of text.

For example, the following image depicts a frame with four text fields of varying widths. Two of these text fields display the predefined text `"Hello"`.

Here is the code that produces these four text fields:

>      TextField tf1, tf2, tf3, tf4;
>      // a blank text field
>      tf1 = new TextField();
>      // blank field of 20 columns
>      tf2 = new TextField("", 20);
>      // predefined text displayed
>      tf3 = new TextField("Hello!");
>      // predefined text in 30 columns
>      tf4 = new TextField("Hello", 30);

Every time the user types a key in the text field, AWT sends two action events to the text field. The first one represents the key press and the second one, the key release. Each action event embodies the state of the system at the time that some action occurred. The properties of an action event indicate which key was pressed, what modifier keys were also pressed, and the time at which the event occurred.

Since the event is an instance of `ActionEvent`, the `TextField` class's `processEvent` method examines the event and passes it along to `processActionEvent`. The latter method redirects the event to any `ActionListener` objects that have registered an interest in action events generated by this text field.

See Also:
  ActionEvent, processEvent, processActionEvent

##

TextField()
  Constructs a new text field.
TextField(int)
  Constructs a new empty TextField with the specified number of columns.
TextField(String)
  Constructs a new text field initialized with the specified text.
TextField(String, int)
  Constructs a new text field initialized with the specified text to be displayed, and wide enough to hold the specified number of characters.

##

addActionListener(ActionListener)
  Adds the specified action listener to recieve action events from this text field.
addNotify()
  Creates the TextField's peer.
echoCharIsSet()
  Indicates whether or not this text field has a character set for echoing.
getColumns()
  Gets the number of columns in this text field.
getEchoChar()
  Gets the character that is to be used for echoing.
getMinimumSize()
  Gets the minumum dimensions for this text field.
getMinimumSize(int)
  Gets the minumum dimensions for a text field with the specified number of columns.
getPreferredSize()
  Gets the preferred size of this text field.
getPreferredSize(int)
  Gets the preferred size of this text field with the specified number of columns.
minimumSize()
  Deprecated.
minimumSize(int)
  Deprecated.
paramString()
  Returns the parameter string representing the state of this text field.
preferredSize()
  Deprecated.
preferredSize(int)
  Deprecated.
processActionEvent(ActionEvent)
  Processes action events occurring on this text field by dispatching them to any registered `ActionListener` objects.
processEvent(AWTEvent)
  Processes events on this text field.
removeActionListener(ActionListener)
  Removes the specified action listener so that it no longer receives action events from this text field.
setColumns(int)
  Sets the number of columns in this text field.
setEchoChar(char)
  Sets the echo character for this text field.
setEchoCharacter(char)
  Deprecated.

##

TextField

     public TextField()

  Constructs a new text field.

TextField

     public TextField(String text)

  Constructs a new text field initialized with the specified text.

  Parameters:
    text - the text to be displayed.

TextField

     public TextField(int columns)

  Constructs a new empty TextField with the specified number of columns.

  Parameters:
    columns - the number of columns

TextField

     public TextField(String text,
                      int columns)

  Constructs a new text field initialized with the specified text to be displayed, and wide enough to hold the specified number of characters.

  Parameters:
    text - the text to be displayed.
    columns - the number of characters.

##

addNotify

     public void addNotify()

  Creates the TextField's peer. The peer allows us to modify the appearance of the TextField without changing its functionality.

  Overrides:
    addNotify in class Component

getEchoChar

     public char getEchoChar()

  Gets the character that is to be used for echoing.

  An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

  Returns:
    the echo character for this text field.
  See Also:
    echoCharIsSet, setEchoChar

setEchoChar

     public void setEchoChar(char c)

  Sets the echo character for this text field.

  An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

  Parameters:
    c - the echo character for this text field.
  See Also:
    echoCharIsSet, getEchoChar

setEchoCharacter

     public synchronized void setEchoCharacter(char c)

  Note: setEchoCharacter() is deprecated. As of JDK version 1.1, replaced by `setEchoChar(char)`.

echoCharIsSet

     public boolean echoCharIsSet()

  Indicates whether or not this text field has a character set for echoing.

  An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

  Returns:
    `true` if this text field has a character set for echoing; `false` otherwise.
  See Also:
    setEchoChar, getEchoChar

getColumns

     public int getColumns()

  Gets the number of columns in this text field.

  Returns:
    the number of columns.
  See Also:
    setColumns

setColumns

     public synchronized void setColumns(int columns)

  Sets the number of columns in this text field.

  Parameters:
    columns - the number of columns.
  Throws: IllegalArgumentException
    if the value supplied for `columns` is less than zero.
  See Also:
    getColumns

getPreferredSize

     public Dimension getPreferredSize(int columns)

  Gets the preferred size of this text field with the specified number of columns.

  Parameters:
    columns - the number of columns in this text field.
  Returns:
    the preferred dimensions for displaying this text field.

preferredSize

     public Dimension preferredSize(int columns)

  Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by `getPreferredSize(int)`.

getPreferredSize

     public Dimension getPreferredSize()

  Gets the preferred size of this text field.

  Returns:
    the preferred dimensions for displaying this text field.
  Overrides:
    getPreferredSize in class Component

preferredSize

     public Dimension preferredSize()

  Note: preferredSize() is deprecated. As of JDK version 1.1, replaced by `getPreferredSize()`.

  Overrides:
    preferredSize in class Component

getMinimumSize

     public Dimension getMinimumSize(int columns)

  Gets the minumum dimensions for a text field with the specified number of columns.

  Parameters:
    columns - the number of columns in this text field.

minimumSize

     public Dimension minimumSize(int columns)

  Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by `getMinimumSize(int)`.

getMinimumSize

     public Dimension getMinimumSize()

  Gets the minumum dimensions for this text field.

  Returns:
    the minimum dimensions for displaying this text field.
  Overrides:
    getMinimumSize in class Component

minimumSize

     public Dimension minimumSize()

  Note: minimumSize() is deprecated. As of JDK version 1.1, replaced by `getMinimumSize()`.

  Overrides:
    minimumSize in class Component

addActionListener

     public synchronized void addActionListener(ActionListener l)

  Adds the specified action listener to recieve action events from this text field.

  Parameters:
    l - the action listener.
  See Also:
    ActionListener, removeActionListener

removeActionListener

     public synchronized void removeActionListener(ActionListener l)

  Removes the specified action listener so that it no longer receives action events from this text field.

  Parameters:
    l - the action listener.
  See Also:
    ActionListener, addActionListener

processEvent

     protected void processEvent(AWTEvent e)

  Processes events on this text field. If the event is an instance of `ActionEvent`, it invokes the `processActionEvent` method. Otherwise, it invokes `processEvent` on the superclass.

  Parameters:
    e - the event.
  Overrides:
    processEvent in class TextComponent
  See Also:
    ActionEvent, processActionEvent

processActionEvent

     protected void processActionEvent(ActionEvent e)

  Processes action events occurring on this text field by dispatching them to any registered `ActionListener` objects.

  This method is not called unless action events are enabled for this component. Action events are enabled when one of the following occurs:

  - An `ActionListener` object is registered via `addActionListener`.
  - Action events are enabled via `enableEvents`.

  Parameters:
    e - the action event.
  See Also:
    ActionListener, addActionListener, enableEvents

paramString

     protected String paramString()

  Returns the parameter string representing the state of this text field. This string is useful for debugging.

  Returns:
    the parameter string of this text field.
  Overrides:
    paramString in class TextComponent

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.